//
//  RegulatedProfessionModal.swift
//
//
//  Created by Victor on 25/07/2024.
//

import SwiftUI

struct RegulatedProfessionModal: View {

    var body: some View {
        VStack() {
            VStack(spacing: 16) {
                SQText("Attention au cadre juridique", size: 24, font: .bold)
                VStack(alignment: .leading, spacing: 16) {
                    SQText("L’activité de déménagement avec véhicule est juridiquement réglementée et seuls les professionnels agréés peuvent l’exercer.")
                    SQText("Vous pouvez proposer vos services pour participer à un déménagement, mais vous n’êtes pas autorisé à mettre à disposition un véhicule.")
                    SQText("Vous trouverez plus d'informations sur les activités réglementées dans la FAQ.")
                    SQText("Le non-respect de ce cadre légal pourra entraîner la suspension de votre compte.", font: .demiBold)
                }
                .padding(.horizontal, 16)
            }
            Spacer()

            VStack {
                SQButton("J'ai compris", color: .sqNeutral(100), textColor: .white) {}
            }
            .padding(.horizontal, 16)
            .padding(.vertical, 24)
            .frame(maxWidth: .infinity, alignment: .center)
            .background(Color.white)
            .cornerRadius(8)
            .shadow(color: Color(red: 0.09, green: 0.14, blue: 0.2).opacity(0.1), radius: 8, x: 0, y: -4)
        }
        .ignoresSafeArea()
        .padding(.top, 16)
    }
}

extension NSAttributedString.Key {
    static let hyperlink = NSAttributedString.Key("hyperlink")
}

#Preview {
    RegulatedProfessionModal()
}
